Package org.eclipse.net4j.util.security.operations

## Class AuthorizableOperation.Builder

- java.lang.Object
- - org.eclipse.net4j.util.security.operations.AuthorizableOperation.Builder

- Enclosing class:
    AuthorizableOperation

      public static final class AuthorizableOperation.Builder
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(java.lang.String id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AuthorizableOperation` | `build()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `java.lang.String` | `id()` |
    `java.lang.Object` | `parameter​(java.lang.String key)` |
    `AuthorizableOperation.Builder` | `parameter​(java.lang.String key, java.lang.Object value)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `parameters()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(java.lang.String id)

  - ### Method Detail

    - #### id

          public java.lang.String id()

    - #### parameters

          public java.util.Map<java.lang.String,​java.lang.Object> parameters()

    - #### parameter

          public java.lang.Object parameter​(java.lang.String key)

    - #### parameter

          public AuthorizableOperation.Builder parameter​(java.lang.String key,
                                                         java.lang.Object value)

    - #### build

          public AuthorizableOperation build()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`